Page MenuHomePhabricator

Migrate gettingstartedgetpages API to RelatedArticles
Closed, ResolvedPublic

Description

AC

  • The gettingstartedgetpages API and supporting classes (PageSuggesters and PageSuggesterFactory) are copied to the the RelatedArticles extension
  • The copied API is renamed (TBD)
  • The gettingstartedgetpages API is deprecated – a warning is added to all responses and an email is sent to wikitech-l

A follow-on task is added to a future sprint to remove the gettingstartedgetpages API from MediaWiki-extensions-GettingStarted

Event Timeline

phuedx created this task.Oct 7 2015, 5:31 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 5:31 PM
phuedx updated the task description. (Show Details)Oct 8 2015, 8:31 AM
phuedx set Security to None.
phuedx updated the task description. (Show Details)Oct 8 2015, 1:04 PM
phuedx updated the task description. (Show Details)Oct 8 2015, 1:09 PM
phuedx claimed this task.Oct 12 2015, 9:40 AM

Hrrm… Maybe I was a little too hasty here.

There's a MediaWiki-extensions-GettingStarted -specific implementation of the PageSuggester interface: CategoryPageSuggester. This suggester leverages Redis to select a set of N random titles from a maintenance category.

I still feel that moving the interfaces and suggesters out of MediaWiki-extensions-GettingStarted and into RelatedArticles makes sense but it might require sharing the core code between the extensions – via a micro-library mabye? – rather than a straight move.

phuedx updated the task description. (Show Details)Oct 12 2015, 1:58 PM

I still feel that moving the interfaces and suggesters out of MediaWiki-extensions-GettingStarted and into RelatedArticles makes sense but it might require sharing the core code between the extensions – via a micro-library mabye? – rather than a straight move.

Though maybe we should rename this project to SuggestedArticles.

phuedx removed phuedx as the assignee of this task.Oct 12 2015, 2:55 PM
phuedx moved this task from Doing to To Do on the Reading-Web-Sprint-57-The Fifth Element board.
Jdlrobson triaged this task as Normal priority.Oct 13 2015, 5:17 PM
phuedx closed this task as Resolved.Nov 24 2015, 7:28 PM
phuedx claimed this task.

This isn't needed for RelatedArticles any more.

A follow-on task is added to a future sprint to remove the gettingstartedgetpages API from MediaWiki-extensions-GettingStarted.

We should look into gettingstartedgetpages API usage.

This isn't needed for RelatedArticles any more.

A follow-on task is added to a future sprint to remove the gettingstartedgetpages API from MediaWiki-extensions-GettingStarted.

We should look into gettingstartedgetpages API usage.

Pages from that API are still displayed in GettingStarted itself. Beyond that, I don't know.

In T114916#1829732, @Mattflaschen wrote:

Pages from that API are still displayed in GettingStarted itself. Beyond that, I don't know.

Of course they are. Sorry, for some reason I thought that the API only powered the post-edit suggestion and editing suggestions dropdown experiments. Thanks for reminding me @Mattflaschen.